> For the complete documentation index, see [llms.txt](https://docs.guibo.travel/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.guibo.travel/developers/content-api/content-or-create-text-page.md).

# Content | 5. Text Page

Create, Read, Update, and Delete Text Pages in a Library. Methods may require your **account ID** and **API Key**.  In the curl examples on this page:&#x20;

* Replace <mark style="color:orange;">CCCCCC</mark> with your **account ID**. See [Overview](https://docs.guibo.travel/developers/overview#prerequisites) to find your **account ID**.
* Replace <mark style="color:orange;">xxxxxx-xxxxxx-xxxxxx-xxxxxx</mark> with the **API key**.  See [Overview](https://docs.guibo.travel/developers/overview#prerequisites) to find your **API key**.
* Replace placeholders such as `{link}` or `{customId}` as described in their respective sections.

### A) Create Text page in Library

Create a **Text page** with a **Custom ID**.  The `customId` is the stable id for this Text Page when you update, delete or reference it from other GUIBO APIs (for example an **On-Demand Release** or a **Guidebook**.

```shellscript
curl --location --request POST 'https://services.schneidergeo.com/content/text' \
--header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
--header 'Content-Type: application/json' \
--data '{
    "account": "CCCCCC",
    "library": {
        "customId": "MY_TEXT_LIB"
    },
    "customId":"TEXT_564",
    "titles": {
        "de": "Fragen & Antworten",
        "en": "Frequently asked questions"
    },
    "descriptions": {
        "de": "<h3>Antworten auf die häufigsten Fragen</h3> Was ist eine pauschale Radreise? Was mache ich, wenn es den ganzen Tag regnet? Und wie geht es nach der Online-Buchung weiter?",
        "en": "<h3>Answers to frequently asked questions</h3> What is a flat-rate cycling tour? What do I do if it rains all day? And what happens after I book online?"
    },
    "appEnabled": true,
    "pdfEnabled": true
}'
```

### B) Read Text page

&#x20;Read a **Text Page** using your **account ID** and the **Text page**'s **`customId`**.&#x20;

```shellscript
curl --location --request GET 'https://services.schneidergeo.com/content/text/account/{accountId}/external/{customId}' \
--header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
--header 'Content-Type: application/json' 
```

### C) Update Text page

Update a Text page using the same request body as Create. Target the Text page with its `link` in the URL.&#x20;

Update Requirements:

* Identity: URL uses `link`. The body requires **account Id,**  the **Text page**'s `customId` and its container library's `library.customId`.

```shellscript
curl --location --request PUT 'https://services.schneidergeo.com/content/text/{link}' \
--header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
--header 'Content-Type: application/json' \
--data '{
    "account": "CCCCCC",
    "library": {
        "customId": "MY_TEXT_LIB"
    },
    "customId":"TEXT_564",
    "titles": {
        "de": "Fragen & Antworten updated",
        "en": "Frequently asked questions updated"
    },
    "descriptions": {
        "de": "<h3>Antworten auf die häufigsten Fragen</h3> Was ist eine pauschale Radreise? Was mache ich, wenn es den ganzen Tag regnet? Und wie geht es nach der Online-Buchung weiter?",
        "en": "<h3>Answers to frequently asked questions</h3> What is a flat-rate cycling tour? What do I do if it rains all day? And what happens after I book online?"
    },
    "appEnabled": true,
    "pdfEnabled": true
}'
```

### D) Delete Text page

Delete a text page using your **account ID** and the text page's **custom ID**. Delete moves the text page to trash.  Add the query parameter `force=true` to the URL to permanently delete it.

```shellscript
curl --location --request DELETE 'https://services.schneidergeo.com/content/text/account/{accountId}/external/{customId}' \
--header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
--header 'Content-Type: application/json' 
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.guibo.travel/developers/content-api/content-or-create-text-page.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
